Module java.desktop
Package javax.print.attribute.standard

# Class JobOriginatingUserName

java.lang.Object
javax.print.attribute.TextSyntax
javax.print.attribute.standard.JobOriginatingUserName

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Attribute`, `PrintJobAttribute`

public final class JobOriginatingUserName extends TextSyntax implements PrintJobAttribute
Class `JobOriginatingUserName` is a printing attribute class, a text attribute, that contains the name of the end user that submitted the print job. If possible, the printer sets this attribute to the most authenticated printable user name that it can obtain from the authentication service that authenticated the submitted Print Request. If such is not available, the printer uses the value of the `RequestingUserName` attribute supplied by the client in the Print Request's attribute set. If no authentication service is available, and the client did not supply a `RequestingUserName` attribute, the printer sets the JobOriginatingUserName attribute to an empty (zero-length) string.

IPP Compatibility: The string value gives the IPP name value. The locale gives the IPP natural language. The category name returned by `getName()` gives the IPP attribute name.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`JobOriginatingUserName(String userName, Locale locale)`
Constructs a new job originating user name attribute with the given user name and locale.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object object)`
Returns whether this job originating user name attribute is equivalent to the passed in object.
`final Class<? extends Attribute>`
`getCategory()`
Get the printing attribute class which is to be used as the "category" for this printing attribute value.
`final String`
`getName()`
Get the name of the category of which this attribute value is an instance.

### Methods declared in class javax.print.attribute.TextSyntax

`getLocale, getValue, hashCode, toString`

### Methods declared in class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### JobOriginatingUserName

public JobOriginatingUserName(String userName, Locale locale)
Constructs a new job originating user name attribute with the given user name and locale.

Parameters:
  `userName` - user name
  `locale` - natural language of the text string. `null` is interpreted to mean the default locale as returned by `Locale.getDefault()`
Throws:
  `NullPointerException` - if `userName` is `null`

## Method Details

### equals

public boolean equals(Object object)
Returns whether this job originating user name attribute is equivalent to the passed in object. To be equivalent, all of the following conditions must be true:

1. `object` is not `null`.
2. `object` is an instance of class `JobOriginatingUserName`.
3. This job originating user name attribute's underlying string and `object`'s underlying string are equal.
4. This job originating user name attribute's locale and `object`'s locale are equal.

Overrides:
  `equals` in class `TextSyntax`
Parameters:
  `object` - `Object` to compare to
Returns:
  `true` if `object` is equivalent to this job originating user name attribute, `false` otherwise
See Also:
  - `Object.hashCode()`
  - `HashMap`

### getCategory

public final Class<? extends Attribute> getCategory()
Get the printing attribute class which is to be used as the "category" for this printing attribute value.

For class `JobOriginatingUserName`, the category is class `JobOriginatingUserName` itself.

Specified by:
  `getCategory` in interface `Attribute`
Returns:
  printing attribute class (category), an instance of class `java.lang.Class`

### getName

public final String getName()
Get the name of the category of which this attribute value is an instance.

For class `JobOriginatingUserName`, the category name is `"job-originating-user-name"`.

Specified by:
  `getName` in interface `Attribute`
Returns:
  attribute category name